#!/usr/local/bin/ruby

#
# $Id: test01.rb,v 1.2 1999/08/23 19:32:57 cvs Exp $
# $Author: cvs $
# $Date: 1999/08/23 19:32:57 $
#

=begin
$B%F%9%H%D!<%k(B
=end

require "nntp"
require "loglog"

## $B0z?t$N=hM}(B, News Group $B$N;X<((B
if ARGV[0]
  @group = ARGV[0]
else
  print "usage: #{$0} <news group>\n"
end

## $B=hM}$N3+;O(B
@nntp = NNTP.new # $BFbIt$G(Bsocket$B$r3+$/(B
#
# group $B$NA*Br(B (NntpStatus Object$B$rJV$9(B)
begin
  @res = @nntp.set_group(@group)
rescue
  print $!
  exit
end
#
# $BA4It$N%U%!%$%k$r(B "<dir>/<filename>" $B$H$$$&>l=j$KJ]B8$9$k(B
#
log = LOGLOG.new
log.set_dirsep(".")
log.set_backup(false)
for i in @res.head..@res.tail
  begin
    article = ""
    article << @nntp.get_head(i)
    article << "\n"
    article << @nntp.get_body(i)
    
    log.save(article, @group, i)
  rescue
    next
  end
end

